<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
// No direct access.
defined('_JEXEC') or die;

// Note. It is important to remove spaces between elements.
if ($item->anchor_css) {
    $class_link = trim($class_link . ' ' . $item->anchor_css);
}
$attrs = '';
if ($class_link !== '') {
    $attrs .= ' class="' . htmlspecialchars($class_link) . '"';
}
if ($item->anchor_title) {
    $attrs .= ' title="' . htmlspecialchars($item->anchor_title) . '"';
}
if ($item->menu_image) {
    $linktype = $item->params->get('menu_text', 1) ?
        '<img src="' . $item->menu_image . '" alt="' . $item->title . '" /><span class="image-title">' . $item->title . '</span> ' :
        '<img src="' . $item->menu_image . '" alt="' . $item->title . '" />';
} else {
    $linktype = $item->title;
}
switch ($item->browserNav) {
    case 1:
        $attrs .= ' target="_blank"';
        break;
    case 2:
        $attrs .= ' onclick="window.open(this.href,\'targetWindow\',\'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes\');return false;"';
        break;
}
?><a href="<?php echo $item->flink; ?>"<?php echo $attrs; ?>><?php echo $linktype; ?></a>