<?php
/**
 * Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version		2.1.54
 * @license		GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright	(C) 2008-2023 Kuneri Ltd. / Denis Ryabov
 * @date		June 2023
 */
defined('_JEXEC') or die('Restricted access');

/** @var Joomla\Registry\Registry $params */
/** @var array $links */

$parts = array();
foreach ($links as $link) {
    if ($link['url']) {
        $parts[] = '<a href="' . $link['url'] . '" rel="nofollow" data-ajax="false">' . $link['text'] . '</a>';
    } else {
        $parts[] = '<span class="active">' . $link['text'] . '</span>';
    }
}
?>
<div class="mjswitcher">
    <?php echo $params->get('show_text', ' '); ?>
    <?php echo implode('<span> | </span>', $parts); ?>
</div>